Package org.eclipse.ui.texteditor

# Class WorkbenchChainedTextFontFieldEditor

java.lang.Object
org.eclipse.jface.preference.FieldEditor
org.eclipse.jface.preference.FontFieldEditor
org.eclipse.jface.text.PropagatingFontFieldEditor
org.eclipse.ui.texteditor.WorkbenchChainedTextFontFieldEditor

Direct Known Subclasses:
  `PropagatingFontFieldEditor`

@Deprecated public class WorkbenchChainedTextFontFieldEditor extends PropagatingFontFieldEditor
Deprecated.
since 3.0 not longer in use, no longer supported, use a `ChainedPreferenceStore` to access preferences from the `org.eclipse.ui.editors` plug-in.
This font field editor implements chaining between the workbench's preference store and a given target preference store. Any time the workbench's preference for the text font changes, the change is propagated to the target store. Propagation means that the actual text font stored in the workbench store is set as default text font in the target store. If the target store does not contain a value rather than the default text font, the new default text font is immediately effective.

Since:
  2.0
See Also:
  - `FontFieldEditor`

## Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditor

`HORIZONTAL_GAP, IS_VALID, VALUE`

## Constructor Summary

Constructors
Constructor
Description
`WorkbenchChainedTextFontFieldEditor(String name, String labelText, Composite parent)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static void`
`startPropagate(IPreferenceStore target, String targetKey)`
Deprecated.

### Methods inherited from class org.eclipse.jface.text.PropagatingFontFieldEditor

`doLoad, doLoadDefault, startPropagate`

### Methods inherited from class org.eclipse.jface.preference.FontFieldEditor

`adjustForNumColumns, applyFont, doFillIntoGrid, doStore, getChangeControl, getNumberOfControls, getPreferredPreviewHeight, getPreviewControl, getValueControl, setChangeButtonText, setEnabled, setToDefault`

### Methods inherited from class org.eclipse.jface.preference.FieldEditor

`checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkbenchChainedTextFontFieldEditor

@Deprecated public WorkbenchChainedTextFontFieldEditor(String name, String labelText, Composite parent)
Deprecated.
Creates a new font field editor with the given parameters.

Parameters:
  `name` - the editor's name
  `labelText` - the text shown as editor description
  `parent` - the editor's parent widget

## Method Details

### startPropagate

@Deprecated public static void startPropagate(IPreferenceStore target, String targetKey)
Deprecated.
Starts the propagation of the text font preference set in the workbench to given target preference store using the given preference key.

Parameters:
  `target` - the target preference store
  `targetKey` - the key to be used in the target preference store